%global with_gui 1

Name:           ansifilter
Version:        1.8
Release:        2%{?dist}
Summary:        ANSI terminal escape code converter
License:        GPLv3+
URL:            http://www.andre-simon.de/doku/ansifilter/ansifilter.php
Source0:        http://www.andre-simon.de/zip/%{name}-%{version}.tar.gz
%if 0%{?with_gui}
Source1:        ansifilter.desktop
Source2:        http://www.andre-simon.de/img/af_icon.png
%endif

%description
Ansifilter handles text files containing ANSI terminal escape codes.
The command sequences may be stripped or be interpreted to generate formatted
output (HTML, RTF, TeX, LaTeX, BBCode).

%if 0%{?with_gui}
%package        gui
Summary:        GUI for %{name} based on Qt4
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel

%description    gui
Ansifilter handles text files containing ANSI terminal escape codes.
The command sequences may be stripped or be interpreted to generate formatted
output (HTML, RTF, TeX, LaTeX, BBCode).

This is a GUI of %{name} based on Qt4.
%endif

%prep
%setup -q
# Multilib fix.
sed -i s'|/usr/lib|%{_libdir}|g' src/qt-gui/Makefile
# Remove redundant moc files which will cause errors during building.
rm -frv src/qt-gui/moc_*.cpp
# CLTR quickfix
find . -type f -exec sed -i 's/\r$//' {} + -print

%build
# Upstream embed the cli code in gui so no need to requires cli using GUI
# program, in order to achieve this we need to preserve the objects with -c.
make CFLAGS="%{optflags} -c" LDFLAGS="%{?__global_ldflags}" %{?_smp_mflags}
%if 0%{?with_gui}
# %%_qt4_qmake will respect the redhat-rpm-config
make all-gui QMAKE="%{_qt4_qmake}" %{?_smp_mflags}
%endif

%install
%make_install INSTALL_DATA="install -pm644" INSTALL_PROGRAM="install -pm755"
%if 0%{?with_gui}
make install-gui INSTALL_DATA="install -pm644" INSTALL_PROGRAM="install -pm755" DESTDIR=%{buildroot}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}

install -pDm644 %{S:2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%endif

rm -frv %{buildroot}%{_docdir}

%files
%doc ChangeLog COPYING README
%{_bindir}/ansifilter
%{_mandir}/man1/ansifilter.1*

%if 0%{?with_gui}
%files gui
%doc ChangeLog COPYING README
%{_bindir}/ansifilter-gui
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%endif

%changelog
* Thu Jun 26 2014 Christopher Meng <rpm@cicku.me> - 1.8-2
- Correct the license.
- desktop file added for gui program.

* Mon Apr 21 2014 Christopher Meng <rpm@cicku.me> - 1.8-1
- Update to 1.8

* Tue Dec 31 2013 Christopher Meng <rpm@cicku.me> - 1.7-1
- Initial Package.
